%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api 1.0
%define major 0
%define libname	%mklibname %{name} %{api} %{major}
%define girname	%mklibname %{name}-gir %{api}
%define devname	%mklibname -d %{name}

Summary:	Tool and library mainly made to create Cabinet files
Name:		gcab
Version:	1.4
Release:	%mkrel 1
Group:		Development/Databases
License:	GPLv2+
Url:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/gcab/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	git-core
BuildRequires:	meson
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
Tool and library mainly made to create Cabinet files.
 - creation supports plain and basic MSZIP compression
 - can open and list files from cabinet, no extraction


%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires: %name

%description -n	%{devname}
Development files for %{name}.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/gcab
%{_mandir}/man1/gcab.1*
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/GCab-%{api}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/gcab
%{_includedir}/lib%{name}-%{api}/*
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/GCab-%{api}.gir
%{_datadir}/vala/vapi/libgcab-%{api}.*


%changelog
* Mon Aug 29 2022 tex - 1.4-1pclos2022
- new version

